gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

An in-memory representation of a database table.

To be added Gda.DataModelArray GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.Void ``

  Adds data in the table from the given model.

  a To be added
- Method
  System.Void ``

  Adds a field to the Table.

  a To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  To be added
  a Name for your new table.
  a

  It is mainly used by the GdaXmlDatabase class, but you can also use it in your applications for whatever you may need it.

- Constructor
  To be added
  a
  a
  a
  a

  This is very useful to maintain an in-memory copy of a given recordset obtained from a database.

  This is also used when exporting data to a GdaXmlDatabase object.

- Property
  System.String

  Gets / Sets the name of the given Table.

  a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.